import {createApp} from 'vue'
import App from '@theme/App-theme.vue';
import setupPlugins from "@theme/plugins";

// 本地SVG图标
import "virtual:svg-icons-register";

// 样式
import "element-plus/theme-chalk/dark/css-vars.css";
import "@theme/styles/index.scss";
import "uno.css";
import "animate.css";

import {errorHandler} from './error'

const app = createApp(App)
app.use(setupPlugins);
errorHandler(app)
// 执行路由拦截，放在挂载之前的方式（按路由权限标识）
import useInterceptor from './interceptor';

useInterceptor();

app.mount("#myApp")
