import {SizeEnum} from "./enums/SizeEnum";
import {LayoutEnum} from "./enums/LayoutEnum";
import {ThemeEnum} from "./enums/ThemeEnum";
import {LanguageEnum} from "./enums/LanguageEnum";

const {pkg} = __APP_INFO__;

const mediaQueryList = window.matchMedia("(prefers-color-scheme: dark)");

const defaultSettings: AppSettings = {
	title: "Hi-sass",
	version: "0.2408.11",
	showSettings: true,
	tagsView: true,
	fixedHeader: true,
	sidebarLogo: true,
	layout: LayoutEnum.LEFT,
	theme: mediaQueryList.matches ? ThemeEnum.DARK : ThemeEnum.LIGHT,
	size: SizeEnum.DEFAULT,
	language: LanguageEnum.ZH_CN,
	themeColor: "#409EFF",
	watermarkEnabled: true,
	watermarkContent: "我是水印，在子主题的根目录里配置； @theme*/settings.ts",
};

export default defaultSettings;
