import {ipcRenderer, shell} from "electron";

interface AnyObject {
  [key: string]: any;
}

interface memoryInfo {
  jsHeapSizeLimit: number;
  totalJSHeapSize: number;
  usedJSHeapSize: number;
}

declare global {
  interface Window {
		pkgInfo: any;
    performance: {
      memory: memoryInfo;
    };
    ipcRenderer: typeof ipcRenderer;
    systemInfo: {
      platform: string;
      release: string;
      arch: string;
      nodeVersion: string;
      electronVersion: string;
			node: () => void;
			electron: () => void;
			chrome: () => void;
		};
    shell: typeof shell;
    crash: {
      start: () => void;
    };
    __lib: string;
    __static: string;
  }
}
